- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/get#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/get#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork/get#try-it)

Returns course work.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or course work, or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if the request is malformed.
- `NOT_FOUND` if the requested course or course work does not exist.

### HTTP request

`GET https://classroom.googleapis.com/v1/courses/{courseId}/courseWork/{id}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Identifier of the course. This identifier can be either the Classroom-assigned identifier or an `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases#CourseAlias`. |
| `id` | `string` Identifier of the course work. |

### Query parameters

| Parameters ||
|---|---|
| `previewVersion` | ``enum (`https://developers.google.com/workspace/classroom/reference/rest/v1/PreviewVersion`)`` Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.courseWork#CourseWork`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/classroom.coursework.students.readonly`
- `
  https://www.googleapis.com/auth/classroom.coursework.me.readonly`
- `
  https://www.googleapis.com/auth/classroom.coursework.students`
- `
  https://www.googleapis.com/auth/classroom.coursework.me`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).